imports:
    - { resource: "../../../vendor/sylius/sylius/src/Sylius/Behat/Resources/config/services.xml" }
    - { resource: "../../Behat/Resources/services.xml" }

services:
    Tests\Sylius\RefundPlugin\Behat\Services\Generator\FailedCreditMemoGenerator:
        decorates: 'sylius_refund.generator.credit_memo'
        arguments:
            - '@Tests\Sylius\RefundPlugin\Behat\Services\Generator\FailedCreditMemoGenerator.inner'

    Tests\Sylius\RefundPlugin\Behat\Services\Factory\FailedRefundPaymentFactory:
        decorates: 'sylius_refund.factory.refund_payment'
        arguments:
            - '@Tests\Sylius\RefundPlugin\Behat\Services\Factory\FailedRefundPaymentFactory.inner'
